pro ssw_findstuff_cat2ref,cat,index,data
;
;   Name: ssw_findstuff_cat2ref
;
;   Purpose: findstuff blob catalog record -> dummy reference "index,data"
;
;   Input Paramters:
;      cat - blobdb catalog record (ssw_findstuff output)
;   
;   Output Parameters
;      index,data
; 
;

index=struct2ssw(cat,/add,/nopoint)

cattags=tag_names(cat)
ssref=where(strpos(cattags,'REF_') eq 0,rcnt)

if rcnt le 5 then begin 
   box_message,'Not enough/expected reference tags...
   return
endif


rtags=cattags(ssref)
otags=strmid(rtags,4,100)

for i=0,rcnt-1 do begin 
  estat=execute('index.'+otags(i) +'=index.'+rtags(i))
endfor

if n_params() gt 2 then $
   data=make_array(index.naxis1,index.naxis2,n_elements(index),/byte)

stop

return
end

