pro ssw_findstuff_les_dbase,start_day,stop_day, $
   _extra=_extra, debug=debug, test=test

debug=keyword_set(debug)

testing=keyword_set(test)

tpath=(['','_test'])(testing)

dbtop='/net/vestige/temp/latest_events/features/
blobdb=concat_dir(dbtop,'findstuff_dbase')
catdir=concat_dir(dbtop,'findstuff_cat') 

diskstuff=[1,0,0,0]
darkstuff=[1,0,0,0]
lowcut=[0,40,200]
hicut= [5,199,50000]
rlimit=256/n_elements(lowcut)

filts=['284']

t0=timegrid('18-oct-2003',reltime(/days),/date_only,/day)

for filt=0,n_elements(filts)-1 do begin                    ; for each 
fname=filts(filt)
pat='*_'+fname+'_*'

   for i=0,n_elements(t0)-2 do begin 
      estring='files=sswdb_files(t0(i),t0(i+1),/l1q,pat=pat)'
      estat=execute(estring)
help,files
      if files(0) ne '' then begin 
         if testing then nfiles=test else nfiles=n_elements(files)
         delvarx,catstruct
         for f=0,nfiles-1 do begin 
            mreadfits,files(f),index,data, outsize=512
            for tlev=0,n_elements(lowcut)-1 do begin
               if tlev eq 0 then delvarx,addblob
;              find the regions for this parameter set
               ssw_findstuff,index,data,lowcut=lowcut(tlev),hicut=hicut(tlev),$
                  _extra=_extra,region,rinfo, /addssw, $
                  diskstuff=diskstuff(tlev), darkstuff=darkstuff(tlev)

;              reorder the catalog based on some paramter (area...)
               ssw_findstuff_bloborder, rinfo, region, outrinfo, outblob, $
                  addblob=addblob,rstart=tlev*rlimit, _extra=_extra
               addblob=outblob
               outrinfo=add_tag(outrinfo,lowcut(tlev),'lowcut')
               outrinfo=add_tag(outrinfo,hicut(tlev),'hicut')
               outrinfo=add_tag(outrinfo,byte(diskstuff(tlev)),'diskstuff')
               outrinfo=add_tag(outrinfo,byte(darkstuff(tlev)),'darkstuff')

;              append catalog vector
               if n_elements(catstruct) eq 0 then catstruct=outrinfo else $
                  catstruct=concat_struct(catstruct,outrinfo)

;              update dbase index w/history                
               if debug then stop,'index->fits' 
               infile=ssw_strsplit(files(f),'/',/last,/tail)
               
            endfor                       ; end of threshold loop (file)

;        write fits / blob -> dbase
         if debug then stop,'index->fits'
         infile=ssw_strsplit(files(f),'/',/last,/tail)
         update_history,index,version=1.0
         index=add_tag(index,infile(0),'INFILE')
         index=add_tag(index,arr2str(lowcut,/trim),'lowcut')
         index=add_tag(index,arr2str(hicut,/trim),'hicut')
         index=add_tag(index,arr2str(indgen(n_elements(lowcut))*rlimit,/trim),$
                'rlimits')
       
         prefix='eitreg_'+fname+'_'+strtrim(data_chk(data,/nx),2)
         mwritefits,index,outblob,prefix=prefix,outdir=blobdb
      endfor                          ; end of file 
;  write catalog file->genx
   outstruct=catstruct(sort(anytim(catstruct)))
   write_genxcat,outstruct,prefix='eitreg_'+fname,topdir=catdir,$
        /nelements,/day_round
 
   endif                              ; valid files found?
endfor
endfor                                   ; end of filter loop 

end
