pro ssw_ssc_findstuff_dbase,start_day,stop_day, $
   _extra=_extra, debug=debug, test=test

debug=keyword_set(debug)

testing=keyword_set(test)

tpath=(['','_test'])(testing)

outparent='/net/vestige/temp/SXT/ssc_findstuff'
blobdb=concat_dir(outparent,'blobdb')
catdir=concat_dir(outparent,'genxcat')

diskstuff=[1,0,0,0]
darkstuff=[1,0,0,0]
lowcut=[1,15,100,1000]
hicut= [16,99,1001,50000]
rlimit=256/n_elements(lowcut)

filtnum=[2,3]
filts=gt_filtb(filtnum,/string,/short)


set_logenv,'DIR_SXT_SSC','/net/vestige/data2/montana_data/ssc'
 
sscfiles=reverse(ssc_files('15-aug-1991','15-dec-2001'))

;sscfiles='/net/vestige/data2/montana_data/ssc/1998/ssc19980730_0041_0010110.1'
for ff=0,n_elements(sscfiles)-1 do begin  ;  ---- SSC FILE LOOP ---
rd_roadmap,sscfiles(ff),rmap

for filt=0,1 do begin                     ;  ---- Filter Loop ---- 
fname=filts(filt)
         ss=where(gt_filtb(rmap) eq filtnum(filt) and $
                  gt_res(rmap) eq 1,sscnt)
         delvarx,catstruct
         for ii=0, sscnt-1 do begin        ;   ----- SSC Image Loop ---
         read_sxt,sscfiles(ff),ss(ii),index,data 
            for tlev=0,n_elements(lowcut)-1 do begin
               if tlev eq 0 then delvarx,addblob

;              find the regions for this parameter set
               ssw_findstuff,index,data,lowcut=lowcut(tlev),hicut=hicut(tlev),$
                  _extra=_extra,region,rinfo, /addssw, $
                  diskstuff=diskstuff(tlev), darkstuff=darkstuff(tlev)

;              reorder the catalog based on some paramter (area...)
               ssw_findstuff_bloborder, rinfo, region, outrinfo, outblob, $
                  addblob=addblob,rstart=tlev*rlimit, _extra=_extra
               addblob=outblob
               outrinfo=add_tag(outrinfo,lowcut(tlev),'lowcut')
               outrinfo=add_tag(outrinfo,hicut(tlev),'hicut')
               outrinfo=add_tag(outrinfo,byte(diskstuff(tlev)),'diskstuff')
               outrinfo=add_tag(outrinfo,byte(darkstuff(tlev)),'darkstuff')

;              append catalog vector
               if n_elements(catstruct) eq 0 then catstruct=outrinfo else $
                  catstruct=concat_struct(catstruct,outrinfo)

;              update dbase index w/history                
               if debug then stop,'index->fits' 
               infile=ssw_strsplit(sscfiles(ff),'/',/last,/tail)
               
            endfor                       ; end of threshold loop (file)
;        write fits / blob -> dbase
         if debug then stop,'index->fits'
         infile=ssw_strsplit(sscfiles(ff),'/',/last,/tail)
         update_history,index,version=1.0
         index=add_tag(index,infile(0),'INFILE')
         index=add_tag(index,arr2str(lowcut,/trim),'lowcut')
         index=add_tag(index,arr2str(hicut,/trim),'hicut')
         index=add_tag(index,arr2str(indgen(n_elements(lowcut))*rlimit,/trim),$
                'rlimits')
       
         prefix='sxtreg_'+fname+'_'+strtrim(data_chk(data,/nx),2)
         mwritefits,index,outblob,prefix=prefix,outdir=blobdb
      endfor                          ; end of image loop
 
;  write catalog file->genx
   if data_chk(catstruct,/struct) then begin 
   outstruct=catstruct(sort(anytim(catstruct)))
   write_genxcat,outstruct,prefix='sxtreg_'+fname+'_',topdir=catdir,$
        /nelements,/day_round, /geny
   endif
 
   endfor  ;---------- end of filter loop -----
endfor     ;---------- end of per-file loop ----


end
